spatialindex-devel-1.8.5-6.40.i586.rpm


Advertisement

Description

spatialindex-devel - Development files for spatialindex

Property Value
Distribution openSUSE Tumbleweed
Repository Science all
Package name spatialindex-devel
Package version 1.8.5
Package release 6.40
Package architecture i586
Package type rpm
Installed size 119.43 KB
Download size 25.46 KB
Official Mirror widehat.opensuse.org
The spatialindex-devel package contains libraries and header files for
developing applications that use spatialindex.

Alternatives

Package Version Architecture Repository
spatialindex-devel-1.8.5-6.41.i586.rpm 1.8.5 i586 Games
spatialindex-devel-1.8.5-6.41.x86_64.rpm 1.8.5 x86_64 Games
spatialindex-devel-1.8.5-6.40.x86_64.rpm 1.8.5 x86_64 Science
spatialindex-devel-1.8.5-1.9.x86_64.rpm 1.8.5 x86_64 openSUSE Oss
spatialindex-devel-1.8.5-1.9.i586.rpm 1.8.5 i586 openSUSE Oss
spatialindex-devel - - -

Requires

Name Value
/usr/bin/pkg-config -
libspatialindex4 = 1.8.5

Provides

Name Value
libspatialindex devel
pkgconfig(libspatialindex) = 1.8.5
spatialindex-devel = 1.8.5-6.40
spatialindex-devel(x86-32) = 1.8.5-6.40

Download

Type URL
Binary Package spatialindex-devel-1.8.5-6.40.i586.rpm
Source Package spatialindex-1.8.5-6.40.src.rpm

Install Howto

  1. Add the Science repository:
    # zypper addrepo http://widehat.opensuse.org/opensuse/repositories/science/openSUSE_Tumbleweed/ science
  2. Install spatialindex-devel rpm package:
    # zypper install spatialindex-devel

Files

Path
/usr/include/spatialindex/LineSegment.h
/usr/include/spatialindex/MVRTree.h
/usr/include/spatialindex/MovingPoint.h
/usr/include/spatialindex/MovingRegion.h
/usr/include/spatialindex/Point.h
/usr/include/spatialindex/RTree.h
/usr/include/spatialindex/Region.h
/usr/include/spatialindex/SpatialIndex.h
/usr/include/spatialindex/TPRTree.h
/usr/include/spatialindex/TimePoint.h
/usr/include/spatialindex/TimeRegion.h
/usr/include/spatialindex/Version.h
/usr/include/spatialindex/capi/BoundsQuery.h
/usr/include/spatialindex/capi/CountVisitor.h
/usr/include/spatialindex/capi/CustomStorage.h
/usr/include/spatialindex/capi/DataStream.h
/usr/include/spatialindex/capi/Error.h
/usr/include/spatialindex/capi/IdVisitor.h
/usr/include/spatialindex/capi/Index.h
/usr/include/spatialindex/capi/LeafQuery.h
/usr/include/spatialindex/capi/ObjVisitor.h
/usr/include/spatialindex/capi/Utility.h
/usr/include/spatialindex/capi/sidx_api.h
/usr/include/spatialindex/capi/sidx_config.h
/usr/include/spatialindex/capi/sidx_export.h
/usr/include/spatialindex/capi/sidx_impl.h
/usr/include/spatialindex/tools/PointerPool.h
/usr/include/spatialindex/tools/PoolPointer.h
/usr/include/spatialindex/tools/SmartPointer.h
/usr/include/spatialindex/tools/Tools.h
/usr/include/spatialindex/tools/rand48.h
/usr/lib/libspatialindex.so
/usr/lib/libspatialindex_c.so
/usr/lib/pkgconfig/libspatialindex.pc
/usr/share/doc/packages/spatialindex-devel/COPYING

Changelog

2015-12-28 - mpluskal@suse.com
- Install license
2015-12-27 - tzotsos@opensuse.org
- Added missing provides
- Minor spec edits
2015-12-26 - mailaender@opensuse.org
- initial packaging

See Also

Package Description
splinter-devel-3.0-10.9.i586.rpm Development files for splinter, a multivariate function approximation library
splinter-devel-3.0-10.9.x86_64.rpm Development files for splinter, a multivariate function approximation library
ssm-1.3-1.84.i586.rpm Secondary Structure Matching
ssm-1.3-1.84.x86_64.rpm Secondary Structure Matching
ssm-devel-1.3-1.84.i586.rpm Secondary Structure Matching
ssm-devel-1.3-1.84.x86_64.rpm Secondary Structure Matching
stacks-2.1-1.9.i586.rpm Pipeline to analyze restriction enzyme-based data
stacks-2.1-1.9.x86_64.rpm Pipeline to analyze restriction enzyme-based data
stb-devel-2.31.1518379073.e6afb9c-4.1.noarch.rpm Single-File Public Domain Libraries for C/C++
storm-1.0.5-2.152.i586.rpm Apache Storm realtime computation system
storm-1.1.3-1.1.x86_64.rpm Apache Storm realtime computation system
storm-doc-1.0.5-2.152.i586.rpm Apache Storm Documentation
storm-doc-1.1.3-1.1.x86_64.rpm Apache Storm Documentation
storm-kit-1.1.3-1.1.noarch.rpm Build-time dependency of project "storm"
storm-logviewer-1.0.5-2.152.i586.rpm Storm Logviewer service
Advertisement
Advertisement